gmp (2:6.3.0+dfsg-5ubuntu1) questing; urgency=medium

  * Merge from Debian unstable (LP: #2124951), remaining changes:
    - d/patches:
      - import CET patches from
        https://gitlab.com/cet-software/gmp-6.2/-/tree/hjl/cet/master
      - patch revert_popcount_and_hamdist_back_from_z14_to_z13 to fix
        a build failure on s390x
    - d/rules:
      - enable s390x z13 optimizations adding MNP_PATH to confflags
      - build without frame-pointers on s390x

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Sep 2025 11:31:16 +0000

gmp (2:6.3.0+dfsg-5) unstable; urgency=medium

  * Teamp upload
  * No-change rebuild for IEEE long double on ppc64el

 -- Graham Inggs <ginggs@debian.org>  Thu, 04 Sep 2025 09:18:30 +0000

gmp (2:6.3.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Apply upstream fix to build with gcc-15. Closes: #1096730.
    Thanks a lot to Vincent Lefevre <vincent@vinc17.net>.

 -- Santiago Vila <sanvila@debian.org>  Fri, 22 Aug 2025 23:10:00 +0200

gmp (2:6.3.0+dfsg-3ubuntu2) questing; urgency=medium

  * No-change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 May 2025 06:58:47 +0200

gmp (2:6.3.0+dfsg-3ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2098958). Remaining changes:
    - d/patches:
      - import CET patches from
        https://gitlab.com/cet-software/gmp-6.2/-/tree/hjl/cet/master
      - patch revert_popcount_and_hamdist_back_from_z14_to_z13 to fix
        a build failure on s390x
    - d/rules:
      - enable s390x z13 optimizations adding MNP_PATH to confflags
      - build without frame-pointers on s390x

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Thu, 20 Feb 2025 17:39:18 +0530

gmp (2:6.3.0+dfsg-3) unstable; urgency=medium

  [ Steve Robbins ]
  * [ac10b44] Apply upstream change.  Fixes: #1057344

 -- Steve M. Robbins <smr@debian.org>  Sun, 01 Dec 2024 18:17:34 -0600

gmp (2:6.3.0+dfsg-2ubuntu7) oracular; urgency=medium

  * No-change rebuild to disable frame pointers on ppc64el and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Oct 2024 13:14:59 +0200

gmp (2:6.3.0+dfsg-2ubuntu6) noble; urgency=medium

  * Build without frame pointers on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 14 Apr 2024 09:57:20 +0200

gmp (2:6.3.0+dfsg-2ubuntu5) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:58:25 +0200

gmp (2:6.3.0+dfsg-2ubuntu4) mantic; urgency=medium

  * Add d/p/0014-s390x-revert_popcount_and_hamdist_back_from_z14_to_z13.patch
    to fix failed build on s390x reported in v2:6.3.0+dfsg-2ubuntu3
    with an upstream commit. (LP: #2028937)
  * d/rules: Revert workaround introduced in v2:6.3.0+dfsg-2ubuntu3
    to circumvent build issue on s390x and set MPN_PATH again,
    since the workaround is no longer needed with patch above.
  * d/control: Modification due to update-maintainer run.

 -- Frank Heimes <frank.heimes@canonical.com>  Fri, 18 Aug 2023 11:30:18 +0200

gmp (2:6.3.0+dfsg-2ubuntu3) mantic; urgency=medium

  * Don't set MPN_PATH for a first build on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Aug 2023 08:33:24 +0200

gmp (2:6.3.0+dfsg-2ubuntu2) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Import CET patches from
      https://gitlab.com/cet-software/gmp-6.2/-/tree/hjl/cet/master

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Aug 2023 06:37:43 +0200

gmp (2:6.3.0+dfsg-2) unstable; urgency=medium

  * Release to unstable.

 -- Steve M. Robbins <smr@debian.org>  Mon, 31 Jul 2023 20:22:53 -0500

gmp (2:6.3.0+dfsg-1) experimental; urgency=medium

  [ Steve M. Robbins ]
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Fix Maintainer name of Debian Science team (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * [668d7a3] Rebased patches.

 -- Steve M. Robbins <smr@debian.org>  Sun, 30 Jul 2023 22:16:24 -0500

gmp (2:6.2.1+dfsg1-1.1ubuntu2) mantic; urgency=medium

  * Add d/p/debian/patches/0014-improved_s390_z13_support_from_ibm.patch
    to incl. improved optimizations for s390x, based on z13. (LP: #1926752)
    Also requires to expand d/rules to select the s390x (z13) specific
    optimizations by expanding MPN_PATH with the z13 code-path in confflags.

 -- Frank Heimes <frank.heimes@canonical.com>  Wed, 12 Jul 2023 10:56:34 +0200

gmp (2:6.2.1+dfsg1-1.1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #1998551). Remaining changes:
    - Import CET patches from
      https://gitlab.com/cet-software/gmp-6.2/-/tree/hjl/cet/master

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 05 Dec 2022 14:07:09 +1300

gmp (2:6.2.1+dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload by the Reproducible Builds team.
  * debian/rules changes by Vagrant Cascadian:
    - pass ASMFLAGS with debug-prefix-map to configure.
    - replace embedded build path in gmp.h with a placeholder string.
    Closes: #1009931

 -- Holger Levsen <holger@debian.org>  Thu, 22 Sep 2022 20:43:57 +0200

gmp (2:6.2.1+dfsg1-1ubuntu2) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Import CET patches from
      https://gitlab.com/cet-software/gmp-6.2/-/tree/hjl/cet/master

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Aug 2022 08:29:21 +0200

gmp (2:6.2.1+dfsg1-1) unstable; urgency=medium

  [ Bastian Germann ]
  * [6c4ffc2] Remove field Priority on binary packages
              libgmp10, libgmpxx4ldbl that duplicates source.
  * [8bbe5e5] d/copyright: Convert to machine-readable format
  * [08c667c] d/rules: Move to debhelper shared option -a
  * [d4b328d] d/watch: Add repacksuffix
  * [8d2e18e] Repack the source via Files-Excluded

  [ Anton Gladky ]
  * [9ff6e5c] Repack upstream version 6.2.1+dfsg1, excluding doc/
  * [ca5c701] Minor fixes in d/control, d/copyright

 -- Anton Gladky <gladk@debian.org>  Sun, 12 Jun 2022 22:56:17 +0200

gmp (2:6.2.1+dfsg-3ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Import CET patches from
      https://gitlab.com/cet-software/gmp-6.2/-/tree/hjl/cet/master

 -- Matthias Klose <doko@ubuntu.com>  Mon, 17 Jan 2022 11:56:45 +0100

gmp (2:6.2.1+dfsg-3) unstable; urgency=medium

  * [2da3c94] Avoid bit size overflows. CVE-2021-43618. (Closes: #994405)
  * [0f172aa] Trim trailing whitespace.
  * [116e367] Update watch file format version to 4.
  * [a1c3867] Use secure URI in Homepage field.
  * [7f358d8] Set debhelper-compat version in Build-Depends.
  * [42336e5] Remove Section on libgmp10,
              Section on libgmpxx4ldbl,
              Priority on libgmp-dev,
              Priority on libgmp10-doc,
              Priority on libgmp3-dev that duplicate source.

 -- Anton Gladky <gladk@debian.org>  Mon, 15 Nov 2021 22:28:20 +0100

gmp (2:6.2.1+dfsg-2) unstable; urgency=medium

  * Upload into unstable.

 -- Anton Gladky <gladk@debian.org>  Thu, 09 Sep 2021 21:11:53 +0200

gmp (2:6.2.1+dfsg-2~exp1) experimental; urgency=medium

  * Drop symbols-file to make the work of porters easier.
    (Closes: #984744, #989440, #788411)
  * [05e73e2] Add myself as uploader
  * Add autopkgtests.

 -- Anton Gladky <gladk@debian.org>  Tue, 07 Sep 2021 21:42:39 +0200

gmp (2:6.2.1+dfsg-1ubuntu3) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:12:02 +0200

gmp (2:6.2.1+dfsg-1ubuntu2) hirsute; urgency=medium

  * No-change rebuild to build with lto.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 28 Mar 2021 09:10:27 +0200

gmp (2:6.2.1+dfsg-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Import CET patches from
      https://gitlab.com/cet-software/gmp-6.2/-/tree/hjl/cet/master

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Feb 2021 11:42:49 +0100

gmp (2:6.2.1+dfsg-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [3be3321] New upstream version 6.2.1
  * [e5fcd68] Use debhelper 13.
  * [bb9a2bf] Remove  DH_COMPAT=6 used on dh_installchangelogs

 -- Steve M. Robbins <smr@debian.org>  Sun, 15 Nov 2020 12:04:37 -0600

gmp (2:6.2.0+dfsg-6ubuntu1) groovy; urgency=medium

  * Import CET patches from
    https://gitlab.com/cet-software/gmp-6.2/-/tree/hjl/cet/master

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 06 Aug 2020 21:47:35 +0100

gmp (2:6.2.0+dfsg-6) unstable; urgency=medium

  * Revert (2:6.2.0+dfsg-5) changes as multi-arch libs should be used instead.
    See continued discussion in 950645.

 -- Steve M. Robbins <smr@debian.org>  Sun, 14 Jun 2020 19:03:25 -0500

gmp (2:6.2.0+dfsg-5) unstable; urgency=medium

  * Team Upload.
  * add lib64 for i386 x32 mipsel etc,
    to support gcc host64 and target32 (Closes: 950645)

 -- YunQiang Su <syq@debian.org>  Thu, 14 May 2020 13:49:24 +0800

gmp (2:6.2.0+dfsg-4) unstable; urgency=medium

  [ Steve Robbins ]
  * Add breaks for packages known to be broken by GMP 6.2.0.  Closes: #950608.

 -- Steve M. Robbins <smr@debian.org>  Sun, 23 Feb 2020 21:06:28 -0600

gmp (2:6.2.0+dfsg-3) unstable; urgency=medium

  * Upload 6.2.0 to unstable.  Closes: #949380.
  * Update symbols

 -- Steve M. Robbins <smr@debian.org>  Fri, 31 Jan 2020 20:16:16 -0600

gmp (2:6.2.0+dfsg-2) experimental; urgency=medium

  [ Steve Robbins ]
  * Replace explicit assignment of architecture-dependent DEB_ variables
    by including architecture.mk.
  * Update symbols file.

 -- Steve M. Robbins <smr@debian.org>  Sun, 26 Jan 2020 09:44:33 -0600

gmp (2:6.2.0+dfsg-1) experimental; urgency=medium

  * New upstream version 6.2.0

 -- Steve M. Robbins <smr@debian.org>  Sat, 25 Jan 2020 21:13:16 -0600

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libgmp10`.
